#ifndef MATVECALLOC_H
#define MATVECALLOC_H

#define RELEASE char*

#include "lsqrms.h"

#if HAVE_MEMORY_H
# include <memory.h>
#endif

char    *cVector(long, long);
int     *iVector(long, long);
double  *dVector(long, long);
float   *fVector(long, long);
char   **cMatrix(long, long, long, long);
int    **iMatrix(long, long, long, long);
double **dMatrix(int, int, int, int);
float  **fMatrix(long, long, long, long);

void free_cVector(char*, long, long);
void free_dVector(double*, long, long);
void free_iVector(int*, long, long);
void free_fVector(float*, long, long);
void free_cMatrix(char**, long, long, long, long);
void free_iMatrix(int**, long, long, long, long);
void free_dMatrix(double**, int, int, int, int);
void free_fMatrix(float**, long, long, long, long);

#endif
